com.jscape.inet.terminal.commands

## Class HTCommand

- java.lang.Object
- - com.jscape.inet.terminal.commands.HTCommand

- All Implemented Interfaces:
    ControlCommand

      public class HTCommand
      extends java.lang.Object
      implements ControlCommand

  Move the cursor to the next tab stop, or to the right margin if no further tab stops are present on the line.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CANONICAL_FORM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(int[] params, Terminal terminal)` Executes command giving parameters and `Terminal` object.
    `static HTCommand` | `getInstance()` Returns one and only one instance of this type.
    `void` | `send(int[] params, Terminal terminal)` Sends command to remote host.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CANONICAL_FORM

          public static final java.lang.String CANONICAL_FORM

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static HTCommand getInstance()

      Returns one and only one instance of this type.
      Returns:
        one and only one instance of this type.

    - #### execute

          public void execute(int[] params,
                              Terminal terminal)

      Executes command giving parameters and `Terminal` object.
      Specified by:
        `execute` in interface `ControlCommand`
      Parameters:
        `params` - array of `int` command parametrs.
        `terminal` - target `Terminal` object.

    - #### send

          public void send(int[] params,
                           Terminal terminal)

      Sends command to remote host.
      Specified by:
        `send` in interface `ControlCommand`
      Parameters:
        `params` - command parameters.
        `terminal` - target `Terminal` object to send command.

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved